[Darwin,PPC,testsuite,committed] Require stabs support for a test.
diff mbox series

Message ID 4083BDB4-629A-4BD2-AA75-CDEC346D5FF8@sandoe.co.uk
State New
Headers show
Series
  • [Darwin,PPC,testsuite,committed] Require stabs support for a test.
Related show

Commit Message

Iain Sandoe July 13, 2019, 9:24 p.m. UTC
Another in my queue of minor test fixups.
The test fails if the assembler doesn't support stabs (and I have at least one
assembler under test that doesn’t).  Solution is to require stabs support
tested on powerpc-darwin9
applied to mainline
thanks
Iain

2019-07-13  Iain Sandoe  <iain@sandoe.co.uk>

	* gcc.target/powerpc/stabs-attrib-vect-darwin.c: Require stabs
	support.

Patch
diff mbox series

diff --git a/gcc/testsuite/gcc.target/powerpc/stabs-attrib-vect-darwin.c b/gcc/testsuite/gcc.target/powerpc/stabs-attrib-vect-darwin.c
index 3c52287..5c7acf1 100644
--- a/gcc/testsuite/gcc.target/powerpc/stabs-attrib-vect-darwin.c
+++ b/gcc/testsuite/gcc.target/powerpc/stabs-attrib-vect-darwin.c
@@ -1,5 +1,6 @@ 
 /* Test Attribute Vector associated with vector type stabs.  */
 /* { dg-do compile { target powerpc*-*-darwin* } } */
+/* { dg-require-effective-target stabs } */
 /* { dg-options "-gstabs+ -fno-eliminate-unused-debug-types -faltivec" } */